> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.feedonomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.feedonomics.com/_mcp/server.

# List fulfillments on an order

GET https://api.feedamp.feedonomics.com/api/v2/orders/{order-id}/fulfillments

Get all fulfillment information for the specified order

Reference: https://docs.feedonomics.com/developer/api-reference/rest/feed-amp-order-api-v2/fulfillments/get-fulfillments

## Request

### Path parameters

- `order-id` (string, required) — FeedAMP Order ID

### Query parameters

- `tracking_number` (string, optional) — Fulfillments matching the given tracking number
- `carrier` (string, optional) — Fulfillments matching the given carrier

### Headers

- `token` (string, required) — The Authentication token obtained from the v1 get_token route
- `client` (integer, required) — The ID of the client making the request

## Response

### 200

An array of fulfillment objects

- `fulfillments` (list of OrdersOrderIdFulfillmentsGetResponsesContentApplicationJsonSchemaFulfillmentsItems, required)

## Errors

### 400 Bad Request Error

Validation error(s) on requested filter parameters

- `list of OrdersOrderIdFulfillmentsGetResponsesContentApplicationJsonSchemaItems`

### 401 Unauthorized Error

Error validating credentials or access to resources.

- `error` (string, required)

### 404 Not Found Error

Requested order does not exist

- `any`

### 500 Internal Server Error

An unexpected server error occurred. Please contact Feedonomics Support if error persists.

- `error` (string, required)

### 503 Service Unavailable Error

Server is temporarily unable to handle the request

- `error` (string, required)

## Types

### OrdersOrderIdFulfillmentsGetResponsesContentApplicationJsonSchemaFulfillmentsItems

- `id` (string, required) — Unique identifier for a record
- `fulfillment_lines` (list of LineQuantity, required) — Specification of order lines and quantities contained in the shipment

### OrdersOrderIdFulfillmentsGetResponsesContentApplicationJsonSchemaItems

- `query_parameter` (string, required) — The query parameter that did not pass validation
- `message` (string, required) — Message describing the error

### LineQuantity

Specification of an order line number and quantity for that line

- `line_id` (string, required) — Unique identifier for a record
- `quantity` (integer, required)

## Examples

**Response**

```json
{
  "fulfillments": [
    {
      "id": "109872189273617283",
      "fulfillment_lines": [
        {
          "line_id": "109872189273617283",
          "quantity": 1
        }
      ],
      "fulfillment_type": "shipment",
      "shipment": {
        "carrier": " '4PX', 'A-1', 'AAA Cooper', 'ABF', 'Asendia', 'Best Buy', 'Blue Package', 'Canada Post', 'CEVA', 'China Post', 'Conway', 'DHL', 'DHL eCommerce', 'Estes', 'FedEx', 'Fedex Freight', 'FedEx SmartPost', 'First Mile', 'Hongkong Post', 'Hunter Logistics', 'India Post', 'JCEX', 'Lasership', 'Newgistics', 'Old Dominion', 'OnTrac', 'OSM', 'Pilot Freight', 'R+L', 'Roadrunner', 'Royal Mail', 'Saia', 'SF Express', 'SFC', 'Singapore Post', 'South Eastern Freight Lines', 'Streamlite', 'UPS', 'UPS Freight', 'UPS Mail Innovations', 'Urban Express', 'USPS', 'WanbExpress', 'Watkins and Shepard', 'YANWEN', 'Yellow Freight', 'Yun Express', 'Other'",
        "shipped_date": {},
        "tracking_number": "string",
        "tracking_url": "string"
      },
      "state": "shipped"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments"

querystring = {"carrier":" '4PX', 'A-1', 'AAA Cooper', 'ABF', 'Asendia', 'Best Buy', 'Blue Package', 'Canada Post', 'CEVA', 'China Post', 'Conway', 'DHL', 'DHL eCommerce', 'Estes', 'FedEx', 'Fedex Freight', 'FedEx SmartPost', 'First Mile', 'Hongkong Post', 'Hunter Logistics', 'India Post', 'JCEX', 'Lasership', 'Newgistics', 'Old Dominion', 'OnTrac', 'OSM', 'Pilot Freight', 'R+L', 'Roadrunner', 'Royal Mail', 'Saia', 'SF Express', 'SFC', 'Singapore Post', 'South Eastern Freight Lines', 'Streamlite', 'UPS', 'UPS Freight', 'UPS Mail Innovations', 'Urban Express', 'USPS', 'WanbExpress', 'Watkins and Shepard', 'YANWEN', 'Yellow Freight', 'Yun Express', 'Other'"}

headers = {
    "client": "1",
    "token": "token"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments?carrier=+%274PX%27%2C+%27A-1%27%2C+%27AAA+Cooper%27%2C+%27ABF%27%2C+%27Asendia%27%2C+%27Best+Buy%27%2C+%27Blue+Package%27%2C+%27Canada+Post%27%2C+%27CEVA%27%2C+%27China+Post%27%2C+%27Conway%27%2C+%27DHL%27%2C+%27DHL+eCommerce%27%2C+%27Estes%27%2C+%27FedEx%27%2C+%27Fedex+Freight%27%2C+%27FedEx+SmartPost%27%2C+%27First+Mile%27%2C+%27Hongkong+Post%27%2C+%27Hunter+Logistics%27%2C+%27India+Post%27%2C+%27JCEX%27%2C+%27Lasership%27%2C+%27Newgistics%27%2C+%27Old+Dominion%27%2C+%27OnTrac%27%2C+%27OSM%27%2C+%27Pilot+Freight%27%2C+%27R%2BL%27%2C+%27Roadrunner%27%2C+%27Royal+Mail%27%2C+%27Saia%27%2C+%27SF+Express%27%2C+%27SFC%27%2C+%27Singapore+Post%27%2C+%27South+Eastern+Freight+Lines%27%2C+%27Streamlite%27%2C+%27UPS%27%2C+%27UPS+Freight%27%2C+%27UPS+Mail+Innovations%27%2C+%27Urban+Express%27%2C+%27USPS%27%2C+%27WanbExpress%27%2C+%27Watkins+and+Shepard%27%2C+%27YANWEN%27%2C+%27Yellow+Freight%27%2C+%27Yun+Express%27%2C+%27Other%27';
const options = {method: 'GET', headers: {client: '1', token: 'token'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments?carrier=+%274PX%27%2C+%27A-1%27%2C+%27AAA+Cooper%27%2C+%27ABF%27%2C+%27Asendia%27%2C+%27Best+Buy%27%2C+%27Blue+Package%27%2C+%27Canada+Post%27%2C+%27CEVA%27%2C+%27China+Post%27%2C+%27Conway%27%2C+%27DHL%27%2C+%27DHL+eCommerce%27%2C+%27Estes%27%2C+%27FedEx%27%2C+%27Fedex+Freight%27%2C+%27FedEx+SmartPost%27%2C+%27First+Mile%27%2C+%27Hongkong+Post%27%2C+%27Hunter+Logistics%27%2C+%27India+Post%27%2C+%27JCEX%27%2C+%27Lasership%27%2C+%27Newgistics%27%2C+%27Old+Dominion%27%2C+%27OnTrac%27%2C+%27OSM%27%2C+%27Pilot+Freight%27%2C+%27R%2BL%27%2C+%27Roadrunner%27%2C+%27Royal+Mail%27%2C+%27Saia%27%2C+%27SF+Express%27%2C+%27SFC%27%2C+%27Singapore+Post%27%2C+%27South+Eastern+Freight+Lines%27%2C+%27Streamlite%27%2C+%27UPS%27%2C+%27UPS+Freight%27%2C+%27UPS+Mail+Innovations%27%2C+%27Urban+Express%27%2C+%27USPS%27%2C+%27WanbExpress%27%2C+%27Watkins+and+Shepard%27%2C+%27YANWEN%27%2C+%27Yellow+Freight%27%2C+%27Yun+Express%27%2C+%27Other%27"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("client", "1")
	req.Header.Add("token", "token")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments?carrier=+%274PX%27%2C+%27A-1%27%2C+%27AAA+Cooper%27%2C+%27ABF%27%2C+%27Asendia%27%2C+%27Best+Buy%27%2C+%27Blue+Package%27%2C+%27Canada+Post%27%2C+%27CEVA%27%2C+%27China+Post%27%2C+%27Conway%27%2C+%27DHL%27%2C+%27DHL+eCommerce%27%2C+%27Estes%27%2C+%27FedEx%27%2C+%27Fedex+Freight%27%2C+%27FedEx+SmartPost%27%2C+%27First+Mile%27%2C+%27Hongkong+Post%27%2C+%27Hunter+Logistics%27%2C+%27India+Post%27%2C+%27JCEX%27%2C+%27Lasership%27%2C+%27Newgistics%27%2C+%27Old+Dominion%27%2C+%27OnTrac%27%2C+%27OSM%27%2C+%27Pilot+Freight%27%2C+%27R%2BL%27%2C+%27Roadrunner%27%2C+%27Royal+Mail%27%2C+%27Saia%27%2C+%27SF+Express%27%2C+%27SFC%27%2C+%27Singapore+Post%27%2C+%27South+Eastern+Freight+Lines%27%2C+%27Streamlite%27%2C+%27UPS%27%2C+%27UPS+Freight%27%2C+%27UPS+Mail+Innovations%27%2C+%27Urban+Express%27%2C+%27USPS%27%2C+%27WanbExpress%27%2C+%27Watkins+and+Shepard%27%2C+%27YANWEN%27%2C+%27Yellow+Freight%27%2C+%27Yun+Express%27%2C+%27Other%27")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["client"] = '1'
request["token"] = 'token'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments?carrier=+%274PX%27%2C+%27A-1%27%2C+%27AAA+Cooper%27%2C+%27ABF%27%2C+%27Asendia%27%2C+%27Best+Buy%27%2C+%27Blue+Package%27%2C+%27Canada+Post%27%2C+%27CEVA%27%2C+%27China+Post%27%2C+%27Conway%27%2C+%27DHL%27%2C+%27DHL+eCommerce%27%2C+%27Estes%27%2C+%27FedEx%27%2C+%27Fedex+Freight%27%2C+%27FedEx+SmartPost%27%2C+%27First+Mile%27%2C+%27Hongkong+Post%27%2C+%27Hunter+Logistics%27%2C+%27India+Post%27%2C+%27JCEX%27%2C+%27Lasership%27%2C+%27Newgistics%27%2C+%27Old+Dominion%27%2C+%27OnTrac%27%2C+%27OSM%27%2C+%27Pilot+Freight%27%2C+%27R%2BL%27%2C+%27Roadrunner%27%2C+%27Royal+Mail%27%2C+%27Saia%27%2C+%27SF+Express%27%2C+%27SFC%27%2C+%27Singapore+Post%27%2C+%27South+Eastern+Freight+Lines%27%2C+%27Streamlite%27%2C+%27UPS%27%2C+%27UPS+Freight%27%2C+%27UPS+Mail+Innovations%27%2C+%27Urban+Express%27%2C+%27USPS%27%2C+%27WanbExpress%27%2C+%27Watkins+and+Shepard%27%2C+%27YANWEN%27%2C+%27Yellow+Freight%27%2C+%27Yun+Express%27%2C+%27Other%27")
  .header("client", "1")
  .header("token", "token")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments?carrier=+%274PX%27%2C+%27A-1%27%2C+%27AAA+Cooper%27%2C+%27ABF%27%2C+%27Asendia%27%2C+%27Best+Buy%27%2C+%27Blue+Package%27%2C+%27Canada+Post%27%2C+%27CEVA%27%2C+%27China+Post%27%2C+%27Conway%27%2C+%27DHL%27%2C+%27DHL+eCommerce%27%2C+%27Estes%27%2C+%27FedEx%27%2C+%27Fedex+Freight%27%2C+%27FedEx+SmartPost%27%2C+%27First+Mile%27%2C+%27Hongkong+Post%27%2C+%27Hunter+Logistics%27%2C+%27India+Post%27%2C+%27JCEX%27%2C+%27Lasership%27%2C+%27Newgistics%27%2C+%27Old+Dominion%27%2C+%27OnTrac%27%2C+%27OSM%27%2C+%27Pilot+Freight%27%2C+%27R%2BL%27%2C+%27Roadrunner%27%2C+%27Royal+Mail%27%2C+%27Saia%27%2C+%27SF+Express%27%2C+%27SFC%27%2C+%27Singapore+Post%27%2C+%27South+Eastern+Freight+Lines%27%2C+%27Streamlite%27%2C+%27UPS%27%2C+%27UPS+Freight%27%2C+%27UPS+Mail+Innovations%27%2C+%27Urban+Express%27%2C+%27USPS%27%2C+%27WanbExpress%27%2C+%27Watkins+and+Shepard%27%2C+%27YANWEN%27%2C+%27Yellow+Freight%27%2C+%27Yun+Express%27%2C+%27Other%27', [
  'headers' => [
    'client' => '1',
    'token' => 'token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments?carrier=+%274PX%27%2C+%27A-1%27%2C+%27AAA+Cooper%27%2C+%27ABF%27%2C+%27Asendia%27%2C+%27Best+Buy%27%2C+%27Blue+Package%27%2C+%27Canada+Post%27%2C+%27CEVA%27%2C+%27China+Post%27%2C+%27Conway%27%2C+%27DHL%27%2C+%27DHL+eCommerce%27%2C+%27Estes%27%2C+%27FedEx%27%2C+%27Fedex+Freight%27%2C+%27FedEx+SmartPost%27%2C+%27First+Mile%27%2C+%27Hongkong+Post%27%2C+%27Hunter+Logistics%27%2C+%27India+Post%27%2C+%27JCEX%27%2C+%27Lasership%27%2C+%27Newgistics%27%2C+%27Old+Dominion%27%2C+%27OnTrac%27%2C+%27OSM%27%2C+%27Pilot+Freight%27%2C+%27R%2BL%27%2C+%27Roadrunner%27%2C+%27Royal+Mail%27%2C+%27Saia%27%2C+%27SF+Express%27%2C+%27SFC%27%2C+%27Singapore+Post%27%2C+%27South+Eastern+Freight+Lines%27%2C+%27Streamlite%27%2C+%27UPS%27%2C+%27UPS+Freight%27%2C+%27UPS+Mail+Innovations%27%2C+%27Urban+Express%27%2C+%27USPS%27%2C+%27WanbExpress%27%2C+%27Watkins+and+Shepard%27%2C+%27YANWEN%27%2C+%27Yellow+Freight%27%2C+%27Yun+Express%27%2C+%27Other%27");
var request = new RestRequest(Method.GET);
request.AddHeader("client", "1");
request.AddHeader("token", "token");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "client": "1",
  "token": "token"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.feedamp.feedonomics.com/api/v2/orders/109872189273617283/fulfillments?carrier=+%274PX%27%2C+%27A-1%27%2C+%27AAA+Cooper%27%2C+%27ABF%27%2C+%27Asendia%27%2C+%27Best+Buy%27%2C+%27Blue+Package%27%2C+%27Canada+Post%27%2C+%27CEVA%27%2C+%27China+Post%27%2C+%27Conway%27%2C+%27DHL%27%2C+%27DHL+eCommerce%27%2C+%27Estes%27%2C+%27FedEx%27%2C+%27Fedex+Freight%27%2C+%27FedEx+SmartPost%27%2C+%27First+Mile%27%2C+%27Hongkong+Post%27%2C+%27Hunter+Logistics%27%2C+%27India+Post%27%2C+%27JCEX%27%2C+%27Lasership%27%2C+%27Newgistics%27%2C+%27Old+Dominion%27%2C+%27OnTrac%27%2C+%27OSM%27%2C+%27Pilot+Freight%27%2C+%27R%2BL%27%2C+%27Roadrunner%27%2C+%27Royal+Mail%27%2C+%27Saia%27%2C+%27SF+Express%27%2C+%27SFC%27%2C+%27Singapore+Post%27%2C+%27South+Eastern+Freight+Lines%27%2C+%27Streamlite%27%2C+%27UPS%27%2C+%27UPS+Freight%27%2C+%27UPS+Mail+Innovations%27%2C+%27Urban+Express%27%2C+%27USPS%27%2C+%27WanbExpress%27%2C+%27Watkins+and+Shepard%27%2C+%27YANWEN%27%2C+%27Yellow+Freight%27%2C+%27Yun+Express%27%2C+%27Other%27")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```